跳转到内容

Video · Erase · Keypoints

集成

模型 id bria/video/erase/keypoints
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/video/erase/keypoints?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "keypoints": [
      "{'\''x'\'': 765, '\''y'\'': 344, '\''type'\'': '\''positive'\''}",
      "{'\''x'\'': 200, '\''y'\'': 200, '\''type'\'': '\''negative'\''}"
    ],
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.70 700 API 积分 运行前会测量你的文件 在此页面运行

获取 API 密钥
Bria AI · 视频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 video_url
拖放文件,或

短于 5 秒、用作对象擦除源的视频。

•必填

使用 [x,y] 坐标指定视频移除或保留区域,每个坐标使用以下语法:{'x':100, 'y':100, 'type':'positive/negative'}。

高级 output_container_and_codec · preserve_audio
默认 mp4_h264

输出的容器和编解码器,可从以下值中选择:mp4_h265, mp4_h264, webm_vp9, gif, mov_h264, mov_h265, mov_proresks, mkv_h264, mkv_h265, mkv_vp9, mkv_mpeg4。

POST /run/bria/video/erase/keypoints?wait=20 报价 → $0.70
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/video/erase/keypoints?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "keypoints": [
      "{'\''x'\'': 765, '\''y'\'': 344, '\''type'\'': '\''positive'\''}",
      "{'\''x'\'': 200, '\''y'\'': 200, '\''type'\'': '\''negative'\''}"
    ],
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Video · Erase · Keypoints

从视频中移除对象,目标通过 `keypoints` 列表指定,其中 x/y 点可标记为正向或负向。输入视频必须短于 5 秒,`auto_trim` 会将更长的片段裁剪到该工作时长。输出格式可从十一种容器和编码中选择,默认为 mp4_h264;`preserve_audio` 可保留声音。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
output_container_and_codec可选
类型enum
默认值mp4_h264
mp4_h265mp4_h264webm_vp9gifmov_h264mov_h265mov_proresksmkv_h264mkv_h265mkv_vp9mkv_mpeg4
输出的容器和编解码器,可从以下值中选择:mp4_h265, mp4_h264, webm_vp9, gif, mov_h264, mov_h265, mov_proresks, mkv_h264, mkv_h265, mkv_vp9, mkv_mpeg4。
auto_trim可选
类型boolean
默认值true
自动将视频裁剪为 5 秒的工作时长。
preserve_audio可选
类型boolean
默认值true
为 true 时启用在输出视频中保留音频。
keypoints必填
类型string[]
使用 [x,y] 坐标指定视频移除或保留区域,每个坐标使用以下语法:{'x':100, 'y':100, 'type':'positive/negative'}。
video_url必填 video
类型url · video
短于 5 秒、用作对象擦除源的视频。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/video/erase/keypoints",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 700,
    "usd": "0.70",
    "charged": 700,
    "refunded": 0
  },
  "input": {
    "keypoints": [
      "{'x': 765, 'y': 344, 'type': 'positive'}",
      "{'x': 200, 'y': 200, 'type': 'negative'}"
    ],
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size}生成的视频。

更多模型:视频转换

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bria/video/erase/keypoints.md. 所有模型和指南: https://doitong.com/developers/llms.txt